CUDNN Frontend API 8.3.0

Public Types | Public Member Functions | List of all members
nlohmann::detail::json_sax_acceptor< BasicJsonType > Class Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::json_sax_acceptor< BasicJsonType >:

## Public Types
using | number_integer_t = typename BasicJsonType::number_integer_t
using | number_unsigned_t = typename BasicJsonType::number_unsigned_t
using | number_float_t = typename BasicJsonType::number_float_t
using | string_t = typename BasicJsonType::string_t
using | binary_t = typename BasicJsonType::binary_t

## Public Member Functions
bool | null ()
bool | boolean (bool)
bool | number_integer (number_integer_t)
bool | number_unsigned (number_unsigned_t)
bool | number_float (number_float_t, const string_t &)
bool | string (string_t &)
bool | binary (binary_t &)
bool | start_object (std::size_t=std::size_t(-1))
bool | key (string_t &)
bool | end_object ()
bool | start_array (std::size_t=std::size_t(-1))
bool | end_array ()
bool | parse_error (std::size_t, const std::string &, const detail::exception &)

## Detailed Description

### template<typename BasicJsonType>
class nlohmann::detail::json_sax_acceptor< BasicJsonType >

Definition at line 6342 of file json.hpp.

## Member Typedef Documentation

## ◆ binary_t

template<typename BasicJsonType>

using nlohmann::detail::json_sax_acceptor< BasicJsonType >::binary_t = typename BasicJsonType::binary_t

Definition at line 6349 of file json.hpp.

## ◆ number_float_t

template<typename BasicJsonType>

using nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_float_t = typename BasicJsonType::number_float_t

Definition at line 6347 of file json.hpp.

## ◆ number_integer_t

template<typename BasicJsonType>

using nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_integer_t = typename BasicJsonType::number_integer_t

Definition at line 6345 of file json.hpp.

## ◆ number_unsigned_t

template<typename BasicJsonType>

using nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_unsigned_t = typename BasicJsonType::number_unsigned_t

Definition at line 6346 of file json.hpp.

## ◆ string_t

template<typename BasicJsonType>

using nlohmann::detail::json_sax_acceptor< BasicJsonType >::string_t = typename BasicJsonType::string_t

Definition at line 6348 of file json.hpp.

## Member Function Documentation

## ◆ binary()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::binary | ( | binary_t & |  | ) |
| inline

Definition at line 6381 of file json.hpp.

## ◆ boolean()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::boolean | ( | bool |  | ) |
| inline

Definition at line 6356 of file json.hpp.

## ◆ end_array()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::end_array | ( |  | ) |
| inline

Definition at line 6406 of file json.hpp.

## ◆ end_object()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::end_object | ( |  | ) |
| inline

Definition at line 6396 of file json.hpp.

## ◆ key()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::key | ( | string_t & |  | ) |
| inline

Definition at line 6391 of file json.hpp.

## ◆ null()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::null | ( |  | ) |
| inline

Definition at line 6351 of file json.hpp.

## ◆ number_float()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_float | ( | number_float_t | ,
|  | const string_t & |
| ) |  |
| inline

Definition at line 6371 of file json.hpp.

## ◆ number_integer()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_integer | ( | number_integer_t |  | ) |
| inline

Definition at line 6361 of file json.hpp.

## ◆ number_unsigned()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::number_unsigned | ( | number_unsigned_t |  | ) |
| inline

Definition at line 6366 of file json.hpp.

## ◆ parse_error()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::parse_error | ( | std::size_t | ,
|  | const std::string & | ,
|  | const detail::exception & |
| ) |  |
| inline

Definition at line 6411 of file json.hpp.

## ◆ start_array()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::start_array | ( | std::size_t | = `std::size_t(-1)` | ) |
| inline

Definition at line 6401 of file json.hpp.

## ◆ start_object()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::start_object | ( | std::size_t | = `std::size_t(-1)` | ) |
| inline

Definition at line 6386 of file json.hpp.

## ◆ string()

template<typename BasicJsonType>

bool nlohmann::detail::json_sax_acceptor< BasicJsonType >::string | ( | string_t & |  | ) |
| inline

Definition at line 6376 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp